%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-wehjit
Version:        0.2.2
Release:        1%{?dist}
Summary:        A Python web-widget library

Group:          Development/Languages
License:        GPLv3+
URL:            http://jderose.fedorapeople.org/wehjit/
Source0:        http://jderose.fedorapeople.org/wehjit/%{version}/wehjit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-nose
BuildRequires:  python-assets python-genshi python-paste python-pygments
Requires:       python-assets python-genshi python-paste python-pygments

%description
wehjit is a Python library for for building XHTML widgets for web applications
and web pages.  It encapsulates the XHTML (a Genshi XML template), CSS, and
JavaScript for each widget into a plugin.

%prep
%setup -q -n wehjit-%{version}

%build
%{__python} setup.py build

%check
nosetests --with-doctest

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitelib}/wehjit/
%{python_sitelib}/wehjit-%{version}-py2.6.egg-info
%{_bindir}/wehjit-demo

%changelog
* Thu Feb 11 2010 Jason Gerard DeRose <jderose@redhat.com> - 0.2.2-1
- Bugfix release (don't automatically import pygments)

* Tue Feb 09 2010 Jason Gerard DeRose <jderose@redhat.com> - 0.2.1-1
- Bugfix release

* Wed Jan 20 2010 Jason Gerard DeRose <jderose@redhat.com> - 0.2.0-1
- New release

* Tue Sep 29 2009 Jason Gerard DeRose <jderose@redhat.com> - 0.1.1-1
- New release

* Tue Sep 22 2009 Jason Gerard DeRose <jderose@redhat.com> - 0.1.0-1
- Initial package
